Ubuntu – How to install Qtstalker on Ubuntu 17.10

17.10desktop appsfinance

The other posts about qtstalker on this site are pretty old, and I tried following the instructions here: http://qtstalker.sourceforge.net/install.html
but I failed miserably. Any help would be appreciated though. Thanks!

Best Answer

This software is extremely old.
I see only one solution - you can install it into schroot with Ubuntu 12.04 LTS inside:

sudo apt-get install schroot debootstrap -y

cat <<EOF | sudo tee /etc/schroot/chroot.d/precise.conf
[precise]
description=Ubuntu 12.04 Precise
directory=/srv/chroot/precise
root-users=$USER
type=directory
users=$USER
EOF

sudo mkdir -p /srv/chroot/precise

create 32-bit chroot

sudo linux32 debootstrap --no-check-gpg precise /srv/chroot/precise

cat <<EOF | sudo tee /srv/chroot/precise/etc/apt/sources.list
deb http://archive.ubuntu.com/ubuntu precise main universe multiverse
deb http://security.ubuntu.com/ubuntu precise-security main restricted universe multiverse
EOF

schroot -c precise -u root apt-get update
schroot -c precise -u root apt-get upgrade

Then you can install qtstalker as usual (they have deb-packages) and with some dependencies

mkdir -p ~/Downloads/qtstalker
cd ~/Downloads/qtstalker

wget http://www.zwets.com/debs/unstable/libqtstalker0-dev_0.36-2_i386.deb
wget http://www.zwets.com/debs/unstable/libqtstalker0_0.36-2_i386.deb
wget http://www.zwets.com/debs/unstable/libta-lib0_0.4.0-2_i386.deb
wget http://www.zwets.com/debs/unstable/qtstalker-doc_0.36-2_all.deb
wget http://www.zwets.com/debs/unstable/ta-lib0-dev_0.4.0-2_i386.deb
wget http://www.zwets.com/debs/unstable/qtstalker_0.36-2_i386.deb
wget http://www.zwets.com/debs/unstable/qtstalker-quote-plugins_0.36-2_i386.deb
wget http://www.zwets.com/debs/unstable/qtstalker-plugin-mysql_0.36.0-1_i386.deb

# dependencies
wget http://repo.percona.com/apt/pool/main/p/percona-sql-dfsg-5.0/libmysqlclient15off_5.0.92-b23.87.lenny_i386.deb
wget https://mirrors.mediatemple.net/debian-archive/debian/pool/main/d/db4.6/libdb4.6_4.6.21-16_i386.deb

go to chroot with

schroot -c precise -u root

and install deb-packages here with

apt-get install mysql-common -y
dpkg -i --force-all *.deb
apt-get install -f -y
dpkg -i --force-all *.deb

exit from schroot with

exit

Then try to launch qtstalker from terminal

schroot -c precise env DISPLAY=:0.0 qtstalker

If it works you may want to create desktop shortcut for it as follows:

cat <<EOF > ~/Desktop/qtstalker.desktop
[Desktop Entry]
Type=Application
Version=1.0
Encoding=UTF-8
Name=Qtstalker
GenericName=Stock Charting
Exec=schroot -c precise env LC_ALL=en_US.UTF-8 DISPLAY=:0.0 qtstalker
Terminal=false
Type=Application
Icon=/srv/chroot/precise/usr/share/pixmaps/qtstalker.xpm
Categories=Graphics;Finance;Office;Qt;
X-Debian-Standards-Version=3.6.0
EOF

chmod +x ~/Desktop/qtstalker.desktop

And then launch QtStalker from desktop.

Related Question